JNDIDataSourceFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration.runtime, class: JNDIDataSourceFactory

# Class JNDIDataSourceFactory

java.lang.Object
org.apache.cayenne.configuration.runtime.JNDIDataSourceFactory

All Implemented Interfaces:
  `DataSourceFactory`

@Deprecated(since="5.0", forRemoval=true) public class JNDIDataSourceFactory extends Object implements DataSourceFactory
Deprecated, for removal: This API element is subject to removal in a future version.
unused by Cayenne
Locates DataSource mapped via JNDI.

Since:
  3.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JNDIDataSourceFactory()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataSource`
  `getDataSource(DataNodeDescriptor nodeDescriptor)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns DataSource object based on the configuration provided in the "nodeDescriptor".
  `protected String`
  `getLocation(DataNodeDescriptor nodeDescriptor)`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JNDIDataSourceFactory

    public JNDIDataSourceFactory()
    Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### getDataSource

    public DataSource getDataSource(DataNodeDescriptor nodeDescriptor)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from interface: `DataSourceFactory`
    Returns DataSource object based on the configuration provided in the "nodeDescriptor".
    Specified by:
      `getDataSource` in interface `DataSourceFactory`

  - ### getLocation

    protected String getLocation(DataNodeDescriptor nodeDescriptor)
    Deprecated, for removal: This API element is subject to removal in a future version.